%define with_maven 1
Name:          freehep-swing
Version:       2.0.3
Release:       %mkrel 2
Summary:       FreeHEP Swing
Group:         Development/Java
License:       LGPL
Url:           http://java.freehep.org/freehep-swing/
# svn checkout svn://svn.freehep.org/svn/freehep/tags/freehep-swing-2.0.3 freehep-swing
# tar czf freehep-swing-2.0.3-src-svn.tar.gz freehep-swing
Source0:       freehep-swing-2.0.3-src-svn.tar.gz
Source1:       freehep-swing-2.0.3-autogeneratedfiles.tar.gz
Patch0:        freehep-swing-noparent.patch
BuildRequires: freehep-util
BuildRequires: java-devel
BuildRequires: java-javadoc
BuildRequires: junit
BuildRequires: jpackage-utils
%if !%with_maven
BuildRequires: ant
BuildRequires: ant-junit
BuildRequires: hamcrest
%else
BuildRequires: maven
BuildRequires: maven-surefire-plugin
BuildRequires: maven-ant-plugin
BuildRequires: forge-parent
%endif
BuildRequires: netbeans-platform
Requires:      freehep-util
Requires:      jpackage-utils
BuildArch:     noarch

%description
Package with a number of Swing extensions.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}

%description javadoc
FreeHEP Swing Extensions.

This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}

find -name '*.class' -exec rm -f '{}' \;
find -name '*.jar' -exec rm -f '{}' \;

%patch0 -p0
%if !%with_maven
tar xf %{SOURCE1}
cp -pr pom.xml target/classes/META-INF/maven/org.freehep/freehep-swing
%endif

%build
%if %with_maven
  mvn-rpmbuild install javadoc:javadoc
%else
  export CLASSPATH=""
  CLASSPATH=$CLASSPATH:$(build-classpath hamcrest/core netbeans/openide-util-lookup)
  CLASSPATH=$CLASSPATH:$(build-classpath junit ant/ant-junit):target/classes:target/test-classes
  ant \
    -Duser.home=$PWD \
    -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
    -Dmaven.test.skip=true \
    -Dmaven.settings.offline=true \
    -Dmaven.settings.interactiveMode=false \
    -Dbuild.sysclasspath=first \
    jar javadoc

%endif

%install

mkdir -p %{buildroot}%{_javadir}
install -pm 644 target/%{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom
%add_maven_depmap JPP-%{name}.pom %{name}.jar

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%pre javadoc
[ $1 -gt 1 ] && [ -L %{_javadocdir}/%{name} ] && \
rm -rf $(readlink -f %{_javadocdir}/%{name}) %{_javadocdir}/%{name} || :

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Tue Jan 17 2012 dmorgan <dmorgan> 2.0.3-2.mga2
+ Revision: 197590
- Clean spec file

  + gil <gil>
    - rebuilt with maven 3 support

* Tue Jul 19 2011 dmorgan <dmorgan> 2.0.3-1.mga2
+ Revision: 126443
- Fix buildrequires

  + gil <gil>
    - imported package freehep-swing


* Tue May 31 2011 gil <gil> 2.0.3-0.%%mkrel
- initial rpm
